For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of integrations
      • POSTCreate an integration
      • GETGet a list of mandates
      • POSTTest whether the integration connection is successful
      • GETGet an integration by its ID
      • DELDeleting an integration by its ID
      • PATCHUpdate an integration by its ID
      • POSTDeprecate an integration
      • POSTActivate an integration
      • POSTArchive an integration
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIIntegrations

Test whether the integration connection is successful

POST
/v:version/integrations/test-connection
POST
/v:version/integrations/test-connection
$curl -X POST https://test.api.solvimon.com/v1/integrations/test-connection \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "successful": true,
3 "message": "string"
4}
Requires the INTEGRATION.VIEW permission.
Was this page helpful?
Previous

Get an integration by its ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

integration_typestringOptional
The type of integration to test the connection for
e_invoicing_processorstringOptional
The processor to connect with when testing an eInvoicing integration
tax_calculation_variantstringOptional
The variant to connect with when testing a tax calculation integration

Request

This endpoint expects an object.
api_keyobjectOptional
client_credentialsobjectOptional
username_passwordobjectOptional

Response

OK
successfulboolean or nullRead-only
messagestring or nullRead-only

Errors

401
Unauthorized Error
403
Forbidden Error